# Errors and Status

The Welcome to the Jungle Solutions API uses the following HTTP status codes:

| Status Code | Meaning                                                                                         |
| ----------- | ----------------------------------------------------------------------------------------------- |
| `400`       | **Bad Request** -- Your request is invalid                                                      |
| `401`       | **Unauthorized** -- Your OAuth `access_token` is wrong                                          |
| `403`       | **Forbidden** -- Your not allowed to access this resource                                       |
| `404`       | **Not Found** -- Resource could not be found                                                    |
| `405`       | **Method Not Allowed** -- You tried to use an endpoint with an invalid method                   |
| `500`       | **Internal Server Error** -- We had a problem with our server. Try again later.                 |
| `503`       | **Service Unavailable** -- We're temporarially offline for maintenance. Please try again later. |

Error messages are returned in JSON format as described below:

```
{
  "error": "unauthorized",
  "error_description": "You are not member of this organization"
}
```

| Error Codes         | Meaning                                      |
| ------------------- | -------------------------------------------- |
| `not_found`         | Resource not found                           |
| `validation_failed` | Some parameters are invalid                  |
| `unauthorized`      | You OAuth `access_token` is invalid          |
| `invalid_scope`     | OAuth `access_token` scope is not authorized |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.welcomekit.co/errors-and-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
